# File text.hpp

## Definition (`zeem/text.hpp`)

- Program Listing for File text.hpp

## Detailed Description

various definitions of data types and routines used to work with Unicode encoded text

## Includes

- `string`

- `string_view`

## Included By

- File document.hpp

## Namespaces

- Namespace zeem

## Enums

- Enum encoding_type

## Functions

- Function zeem::append

- Function zeem::is_name_char

- Function zeem::is_name_start_char

- Function zeem::is_space

- Function zeem::is_valid_public_id

- Function zeem::is_valid_public_id_char

- Function zeem::is_valid_system_literal

- Function zeem::is_valid_system_literal_char

- Function zeem::is_valid_xml_1_0_char

- Function zeem::is_valid_xml_1_1_char

- Function zeem::pop_back_char

- Function zeem::pop_front_char(std::string::const_iterator&, std::string::const_iterator)

- Function zeem::pop_front_char(std::string_view::const_iterator&, std::string_view::const_iterator)

- Function zeem::trim